<template>
  <v-app-bar class="main-header" height="64" fixed color="primary" dark>
    <v-toolbar-title>Вариант 8</v-toolbar-title>
    <v-spacer></v-spacer>
    <v-menu min-width="180" offset-y bottom left nudge-bottom="10">
      <template v-slot:activator="{ on, attrs }">
        <v-btn class="mr-0" icon v-bind="attrs" v-on="on">
          <v-icon style="font-size: 28px">mdi-account</v-icon>
        </v-btn>
      </template>
      <v-list>
        <div class="d-flex justify-center my-3">
          <v-btn
            width="80%"
            large
            outlined
            color="primary"
            class="text-capitalize"
            @click="logout"
            >Sign Out
          </v-btn>
        </div>
      </v-list>
    </v-menu>
  </v-app-bar>
</template>

<script lang="ts">
import Vue from "vue";
import { Component } from "vue-property-decorator";
import ApplicationModule from "@/store/modules/application";
import { getModule } from "vuex-module-decorators";
import UserModule from '@/store/modules/user';

@Component
export default class Header extends Vue {
  private applicationStore = getModule(ApplicationModule, this.$store);
  private userStore = getModule(UserModule, this.$store);

  logout() {
    this.userStore.logout();
    this.$router.push('/login');
  }
}
</script>

<style src="./Header.scss" lang="scss"></style>
